<?php



defined('BASEPATH') OR exit('No direct script access allowed');



@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');







class Organization extends Admin_Controller {











	public function __construct() {



		parent::__construct();



		$this->load->model('admin/organization_model');

		$this->load->model('admin/committees_model');



		



	}







	public function index()



	{

		$this->load->library('pagination');







		  $config = [



		   'base_url'       => base_url('admin/organization/index'),



		   'per_page'       => 5,



		   'total_rows'     => $this->organization_model->count_by(array()),



		   'full_tag_open'  => "<ul class='pagination'>",



		   'full_tag_close' => "</ul>",



		   'first_tag_open' => '<li>',



		   'first_tag_close' => '</li>',



		   'last_tag_open'  => '<li>',



		   'last_tag_close' => '</li>',



		   'next_tag_open'  => '<li>',



		   'next_tag_close' => '</li>',



		   'prev_tag_open'  => '<li>',



		   'prev_tag_close' => '</li>',



		   'num_tag_open'  => '<li>',



		   'num_tag_close'  => '</li>',



		   'cur_tag_open'  => "<li class='active'><a>",



		   'cur_tag_close'  => '</a></li>',



		  ];







		  $this->pagination->initialize($config);











		$result=$this->organization_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();



		$data['organizationdata'] =  $result;









		//$result=$this->organization_model->get_all();



		//$data['organizationdata'] =  $result;



		$this->template->write_view('content', 'admin/organization/index',$data);



		$this->template->render();











	}



	public function create()



	{

		$committees_all=$this->committees_model->get_all();

		

		$data['allcommitteesdata'] = $committees_all;

		 







        $this->template->write_view('content', 'admin/organization/add',$data);



		$this->template->render();







	}











 public function insert()



 { 















if(!empty($_FILES['picture']['name'])){



                $config['upload_path'] =   'uploads/organization/';



                $config['allowed_types'] = 'jpg|jpeg|png|gif';



                $config['file_name'] = $_FILES['picture']['name'];



                



                //Load upload library and initialize configuration



                $this->load->library('upload',$config);



                $this->upload->initialize($config);











                



                if($this->upload->do_upload('picture')){



                       



                    $uploadData = $this->upload->data();



                    $picture = $uploadData['file_name'];



                }else{







                    $picture = '';



                }



            }else{



                $picture = '';



            }







    











   // $data=$this->input->post();



    



    $data = array



              (



                  'name' => $this->input->post('name'),

				  'committee_id' => $this->input->post('committee_id'),



				   'profession' => $this->input->post('profession'),



				  'university' => $this->input->post('university'),



				   'biography' => $this->input->post('biography'),



				    'interest' => $this->input->post('interest'),
				    'year' => $this->input->post('year'),



				  



                  'picture' => $picture



    	      );











    //unset($data['submit']);



	

		      $res=$this->organization_model->insert($data);



				



	      	   if($res)



				{



				 $this->prepare_flashmessage("Successfully Inserted..", 0);



	         //return redirect('admin/organization');



				 echo "<script>window.location='".base_url()."admin/organization';</script>";







				}



				else



				{



				$this->prepare_flashmessage("Failed to Insert..", 1);



	          //return redirect(base_url('admin/organization'));



				echo "<script>window.location='".base_url()."admin/organization';</script>";



				}







	



}







public function delete()



	{



	//echo $this->uri->segment(3); exit;



	$id=$this->uri->segment(4);

	$result_pic =$this->organization_model->get($id);

		if(isset($result_pic->picture) && $result_pic->picture!='' )

		{

			$url_of_link = 'uploads/organization/'.$result_pic->picture;

			if(is_file($url_of_link))

			{

			 unlink($url_of_link);

		}

		}



	$result=$this->organization_model->delete($id);

	

		



	if($result==1){



	 $this->prepare_flashmessage("Successfully Deleted..", 0);



	 //return redirect('admin/organization');



	 echo "<script>window.location='".base_url()."admin/organization';</script>";



	}



	}







public function edit()



	{  







		$id = $this->uri->segment(4); //controller/function/id



		$result=$this->organization_model->get($id);



		$data['organization'] = null;



		if($result)



		{

			$committees_all=$this->committees_model->get_all();

		

		$data['allcommitteesdata'] = $committees_all;



		$data['organizationdata'] = $result;



		}



		



		$this->template->write_view('content', 'admin/organization/edit',$data);



		$this->template->render();



	}



public function update()



    {  



 $id = $this->uri->segment(4);



    	



    if(isset($_FILES['picture']) && $_FILES['picture']['name']!=''){



   if(!empty($_FILES['picture']['name'])){



	$id = $this->uri->segment(4); //controller/function/id



		$result_pic =$this->organization_model->get($id);

		if(isset($result_pic->picture) && $result_pic->picture!='' )

		{

			 unlink('uploads/organization/'.$result_pic->picture);

		}


                $config['upload_path'] =   'uploads/organization/';



                $config['allowed_types'] = 'jpg|jpeg|png|gif';



                $config['file_name'] = $_FILES['picture']['name'];



                



                //Load upload library and initialize configuration



                $this->load->library('upload',$config);



                $this->upload->initialize($config);











                



                if($this->upload->do_upload('picture')){



                       



                    $uploadData = $this->upload->data();



                    $picture = $uploadData['file_name'];

					

				

					

					 



                }



            }

	}











            



    

	if(isset($picture) && $picture!='' )

	{

        $data = array



              (



                  'name' => $this->input->post('name'),

				  'committee_id' => $this->input->post('committee_id'),



				    'profession' => $this->input->post('profession'),



				  'university' => $this->input->post('university'),



				   'biography' => $this->input->post('biography'),



				    'interest' => $this->input->post('interest'),
				    'year' => $this->input->post('year'),



                     'picture' => $picture,



    	      );

	}else

	{

			  

			 

$data = array



              (



                  'name' => $this->input->post('name'),

				  'committee_id' => $this->input->post('committee_id'),



				    'profession' => $this->input->post('profession'),



				  'university' => $this->input->post('university'),



				   'biography' => $this->input->post('biography'),



				    'interest' => $this->input->post('interest'),
				    'year' => $this->input->post('year'),



                   



    	      );

			  

	}





       unset($data['submit']);



     

       $res=$this->organization_model->update($id,$data);



			



      	if($res)



			{



		 $this->prepare_flashmessage("Successfully Updated..", 0);



         //return redirect('admin/organization');



         echo "<script>window.location='".base_url()."admin/organization';</script>";



			}



			else



			{



			$this->prepare_flashmessage("Failed to Update..", 1);



     //return redirect(base_url('organization_updateview'));



			echo "<script>window.location='".base_url()."admin/organization';</script>";



			}



			



}

public function update_status()

    {  



   





       $id = $this->uri->segment(4);
        $status = $this->uri->segment(5);
        
        if(isset($status) && $status!='' && $status=='Active')
        {
           $data = array

              (

                 

                  'status' => 'Inactive'
    	      ); 
            
        }
        elseif(isset($status) && $status!='' && $status=='Inactive')
        {
            
            $data = array

              (

                 

                  'status' => 'Active'

    	      );
            
        }
        else
        {
            
             $data = array

              (

                 

                  'status' => 'Active'

    	      );
            
            
        }

	  

		

		

	   

    

		  

        
			   

      

       $res=$this->organization_model->update($id,$data);

	   	if($res)

			{

		 $this->prepare_flashmessage("  Successfully Updated Status ..", 0);

         //return redirect('admin/organization');

         echo "<script>window.location='".base_url()."admin/organization';</script>";

			}

			else

			{

			$this->prepare_flashmessage("Failed to Update Status..", 1);

     //return redirect(base_url('organization_updateview'));

			echo "<script>window.location='".base_url()."admin/organization';</script>";

			}

	}







function remove_checked()
{
                
            $checked_messages = $this->input->post('msg'); //selected messages
            $this->organization_model->delete_checked($checked_messages);
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

    

			echo "<script>window.location='".base_url()."admin/organization';</script>";


        
}

function deleteall()
{
             
              $this->organization_model->delete_all();
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     
			echo "<script>window.location='".base_url()."admin/organization';</script>";


        
}










    }







 







