<?php

defined('BASEPATH') OR exit('No direct script access allowed');

@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');



class Banners extends Admin_Controller {





	public function __construct() {

		parent::__construct();

		$this->load->model('admin/banners_model');



		

		

	}



	public function index()

	{



		$result=$this->banners_model->get_all();

		$data['bannersdata'] =  $result;

		$this->template->write_view('content', 'admin/banners/index',$data);

		$this->template->render();





	}

	public function create()

	{



        $this->template->write_view('content', 'admin/banners/add');

		$this->template->render();



	}





 public function insert()

 { 







if(!empty($_FILES['picture']['name'])){

                $config['upload_path'] =   'uploads/banners/';

                $config['allowed_types'] = 'jpg|jpeg|png|gif';

                $config['file_name'] = $_FILES['picture']['name'];
				$config['max_size']     = '0';

                

                //Load upload library and initialize configuration

                $this->load->library('upload',$config);

                $this->upload->initialize($config);





                

                if($this->upload->do_upload('picture')){

                       

                    $uploadData = $this->upload->data();

                    $picture = $uploadData['file_name'];

                }else{



                    $picture = '';

                }

            }else{

                $picture = '';

            }



    





   // $data=$this->input->post();

    

    $data = array

              (

                  

                  'picture' => $picture

    	      );





    //unset($data['submit']);

	       $res=$this->banners_model->insert($data);

				

	      	   if($res)

				{

				 $this->prepare_flashmessage("Successfully Inserted..", 0);

	         //return redirect('admin/banners');

				 echo "<script>window.location='".base_url()."admin/banners';</script>";



				}

				else

				{

				$this->prepare_flashmessage("Failed to Insert..", 1);

	          //return redirect(base_url('admin/banners'));

				echo "<script>window.location='".base_url()."admin/banners';</script>";

				}



}



public function delete()

	{

	//echo $this->uri->segment(3); exit;

	$id=$this->uri->segment(4);

	$result2=$this->banners_model->get($id);

		if($result2)

		{

			$url_of_file = 'uploads/banners/'.$result2->picture;

			

			

			

  if (is_file($url_of_file))

  {

    unlink($url_of_file);

  }

		

		}

	$result=$this->banners_model->delete($id);

	if($result==1){

	 $this->prepare_flashmessage("Successfully Deleted..", 0);

	 //return redirect('admin/banners');

	 echo "<script>window.location='".base_url()."admin/banners';</script>";

	}

	}



public function edit()

	{  



		$id = $this->uri->segment(4); //controller/function/id

		$result=$this->banners_model->get($id);

		$data['banners'] = null;

		if($result)

		{

		$data['bannersdata'] = $result;

		}

		

		$this->template->write_view('content', 'admin/banners/edit',$data);

		$this->template->render();

	}

public function update()

    {  



   if(isset($_FILES['picture']) && $_FILES['picture']['name']!='')

   {

	   	  $id = $this->uri->segment(4);

	  

		$result=$this->banners_model->get($id);

		

	   

      if(isset($result->picture))

	  {

		  if($result)

		{

			$url_of_file = 'uploads/banners/'.$result->picture;

			

			

			

  if (is_file($url_of_file))

  {

    unlink($url_of_file);

  }

		

		}

	 



   if(!empty($_FILES['picture']['name'])){

                $config['upload_path'] =   'uploads/banners/';

                $config['allowed_types'] = 'jpg|jpeg|png|gif';

                $config['file_name'] = $_FILES['picture']['name'];
				$config['max_size']     = '0';

                

                //Load upload library and initialize configuration

                $this->load->library('upload',$config);

                $this->upload->initialize($config);





                

                if($this->upload->do_upload('picture')){

                       

                    $uploadData = $this->upload->data();

                    $picture = $uploadData['file_name'];

                }

            }

		

   }





     if(isset( $picture) &&  $picture!='')

	 {

        $data = array

              (

                 

                  'picture' => $picture

    	      );

			   unset($data['submit']);

      

       $res=$this->banners_model->update($id,$data);

	   	if($res)

			{

		 $this->prepare_flashmessage("Successfully Updated..", 0);

         //return redirect('admin/banners');

         echo "<script>window.location='".base_url()."admin/banners';</script>";

			}

			else

			{

			$this->prepare_flashmessage("Failed to Update..", 1);

     //return redirect(base_url('banners_updateview'));

			echo "<script>window.location='".base_url()."admin/banners';</script>";

			}

	 }

	}

	else

			{

			$this->prepare_flashmessage("Successfully Updated..", 0);

     //return redirect(base_url('banners_updateview'));

			echo "<script>window.location='".base_url()."admin/banners';</script>";

			}



      

			

      

			

			

}

function remove_checked()
{
        //validation rules
        
            $checked_messages = $this->input->post('msg'); //selected messages
            $this->banners_model->delete_checked($checked_messages);
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     //return redirect(base_url('call_abstract_sessions_updateview'));

			echo "<script>window.location='".base_url()."admin/banners';</script>";


        
}

function deleteall()
{
        //validation rules
        
            //$checked_messages = $this->input->post('msg'); //selected messages
            $this->banners_model->delete_all();
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     //return redirect(base_url('call_abstract_sessions_updateview'));

			echo "<script>window.location='".base_url()."admin/banners';</script>";


        
}






    }



 



