<?php

defined('BASEPATH') OR exit('No direct script access allowed');

@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');



class Keynotes extends Admin_Controller {





	public function __construct() {

		parent::__construct();

		$this->load->model('admin/keynotes_model');

		$this->load->model('admin/programmes_model');

		

	}



	public function index()

	{





		$this->load->library('pagination');



		  $config = [

		   'base_url'       => base_url('admin/keynotes/index'),

		   'per_page'       => 5,

		   'total_rows'     => $this->keynotes_model->count_by(array()),

		   'full_tag_open'  => "<ul class='pagination'>",

		   'full_tag_close' => "</ul>",

		   'first_tag_open' => '<li>',

		   'first_tag_close' => '</li>',

		   'last_tag_open'  => '<li>',

		   'last_tag_close' => '</li>',

		   'next_tag_open'  => '<li>',

		   'next_tag_close' => '</li>',

		   'prev_tag_open'  => '<li>',

		   'prev_tag_close' => '</li>',

		   'num_tag_open'  => '<li>',

		   'num_tag_close'  => '</li>',

		   'cur_tag_open'  => "<li class='active'><a>",

		   'cur_tag_close'  => '</a></li>',

		  ];



		  $this->pagination->initialize($config);





		$result=$this->keynotes_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();

		$data['keynotesdata'] =  array_reverse($result);

		$this->template->write_view('content', 'admin/keynotes/index',$data);

		$this->template->render();





	}

	public function create()

	{

		$programmes_all=$this->programmes_model->get_all();

		

		$data['allprogrammesdata'] = $programmes_all;



        $this->template->write_view('content', 'admin/keynotes/add',$data);

		$this->template->render();



	}





 public function insert()

 {



    $data=$this->input->post();

	$programmes_all=$this->programmes_model->get_all();

		

		$data_to['allprogrammesdata'] = $programmes_all;





    unset($data['submit']);

	



	  
		

		   if($_FILES['picture'])

		   {

		  

		  if(!empty($_FILES['picture']['name'])){

                $config['upload_path'] =   'uploads/scientific_speakers/';

                $config['allowed_types'] = 'jpg|jpeg|png|gif';

                $config['file_name'] = $_FILES['picture']['name'];

                

                //Load upload library and initialize configuration

                $this->load->library('upload',$config);

                $this->upload->initialize($config);





                

                if($this->upload->do_upload('picture')){

                       

                    $uploadData = $this->upload->data();

                    $picture = $uploadData['file_name'];

                }else{



                    $picture = '';

                }

            }else{

                $this->template->write_view('content', 'admin/keynotes/add',$data_to);

       $this->template->render();

            }

		   }

		   else{

                $this->template->write_view('content', 'admin/keynotes/add',$data_to);

       $this->template->render();

            }

			

			

			if($picture!='')

			{

			 $data['picture'] = $picture;

			 

			}else

			{

				  $data['picture'] = '';

			}

			 

			 

			



		  

		      $res=$this->keynotes_model->insert($data);

				

	      	   if($res)

				{

				 $this->prepare_flashmessage("Successfully Inserted..", 0);

	         //return redirect('admin/keynotes');

				 echo "<script>window.location='".base_url()."admin/keynotes';</script>";



				}

				else

				{

				$this->prepare_flashmessage("Failed to Insert..", 1);

	          //return redirect(base_url('admin/keynotes'));

				echo "<script>window.location='".base_url()."admin/keynotes';</script>";

				}



	  
		 

		   

}



public function delete()

	{

	//echo $this->uri->segment(3); exit;

	$id=$this->uri->segment(4);

		$imageresult=$this->keynotes_model->get($id);

		

		if(isset($imageresult->picture) && $imageresult->picture!='' )

		{

			$url_of_this_image ='uploads/scientific_speakers/'.$imageresult->picture;

			if(is_file($url_of_this_image))

			{

				unlink($url_of_this_image);

			}

		      

		}

	$result=$this->keynotes_model->delete($id);

	if($result==1){

	 $this->prepare_flashmessage("Successfully Deleted..", 0);

	 //return redirect('admin/keynotes');

	 echo "<script>window.location='".base_url()."admin/keynotes';</script>";

	}

	}



public function edit()

	{   $programmes_all=$this->programmes_model->get_all();

		

		$data['allprogrammesdata'] = $programmes_all;



		

		$id = $this->uri->segment(4); //controller/function/id

		$result=$this->keynotes_model->get($id);

		$data['keynotesdata'] = null;

		if($result)

		{

		$data['keynotesdata'] = $result;

		}

		

		$this->template->write_view('content', 'admin/keynotes/edit',$data);

		$this->template->render();

	}

public function update()

    {

       $id = $this->uri->segment(4);

       $data=$this->input->post();

       unset($data['submit']);





      

			

			

		   if(isset($_FILES['picture']) && $_FILES['picture']['name']!='' )

		   {

			   				

		$imageresult=$this->keynotes_model->get($id);

		

		if(isset($imageresult->picture) && $imageresult->picture!='' )

		{

			$url_of_this_image ='uploads/scientific_speakers/'.$imageresult->picture;

			if(is_file($url_of_this_image))

			{

				unlink($url_of_this_image);

			}

		      

		}

          

		  

		  if(!empty($_FILES['picture']['name'])){

                $config['upload_path'] =   'uploads/scientific_speakers/';

                $config['allowed_types'] = 'jpg|jpeg|png|gif';

                $config['file_name'] = $_FILES['picture']['name'];

                

                //Load upload library and initialize configuration

                $this->load->library('upload',$config);

                $this->upload->initialize($config);





                

                if($this->upload->do_upload('picture')){

                       

                    $uploadData = $this->upload->data();

                    $picture = $uploadData['file_name'];

					

	      }

            }

		   }

		   

			

			

			if(isset($picture)  && $picture!='')

			{

			 $data['picture'] = $picture;

			 

			}

			 

			 

			

       $res=$this->keynotes_model->update($id,$data);

			

      	if($res)

			{

		 $this->prepare_flashmessage("Successfully Updated..", 0);

         //return redirect('admin/keynotes');

         echo "<script>window.location='".base_url()."admin/keynotes';</script>";

			}

			else

			{

			$this->prepare_flashmessage("Failed to Update..", 1);

     //return redirect(base_url('keynotes_updateview'));

			echo "<script>window.location='".base_url()."admin/keynotes';</script>";

			}

				

}

function remove_checked()
{
        //validation rules
        
            $checked_messages = $this->input->post('msg'); //selected messages
            $this->keynotes_model->delete_checked($checked_messages);
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     //return redirect(base_url('call_abstract_sessions_updateview'));

			echo "<script>window.location='".base_url()."admin/keynotes';</script>";


        
}

function deleteall()
{
        //validation rules
        
            //$checked_messages = $this->input->post('msg'); //selected messages
            $this->keynotes_model->delete_all();
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     //return redirect(base_url('call_abstract_sessions_updateview'));

			echo "<script>window.location='".base_url()."admin/keynotes';</script>";


        
}






}



 



